commit:     e919ffe0bd16d9e6dcfe7ed82c3b18e2c67a6051
Author:     Ulrich Müller <ulm <AT> gentoo <DOT> org>
AuthorDate: Sun Feb 12 09:20:28 2017 +0000
Commit:     Ulrich Müller <ulm <AT> gentoo <DOT> org>
CommitDate: Sun Feb 12 09:20:28 2017 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=e919ffe0

dev-libs/xalan-c: Drop has_m64 usage.

Remove the bitstobuild option which has no effect on Linux.
Non-maintainer commit, acked by soap.

Bug: 398855

Package-Manager: Portage-2.3.3, Repoman-2.3.1

 dev-libs/xalan-c/xalan-c-1.11.0_pre1153059.ebuild | 9 +++------
 1 file changed, 3 insertions(+), 6 deletions(-)

diff --git a/dev-libs/xalan-c/xalan-c-1.11.0_pre1153059.ebuild 
b/dev-libs/xalan-c/xalan-c-1.11.0_pre1153059.ebuild
index acbb8a191d..3141041198 100644
--- a/dev-libs/xalan-c/xalan-c-1.11.0_pre1153059.ebuild
+++ b/dev-libs/xalan-c/xalan-c-1.11.0_pre1153059.ebuild
@@ -1,10 +1,10 @@
-# Copyright 1999-2011 Gentoo Foundation
+# Copyright 1999-2017 Gentoo Foundation
 # Distributed under the terms of the GNU General Public License v2
 # $Id$
 
 EAPI="4"
 
-inherit toolchain-funcs eutils flag-o-matic multilib
+inherit toolchain-funcs eutils multilib
 
 DESCRIPTION="XSLT processor for transforming XML into HTML, text, or other XML 
types"
 HOMEPAGE="http://xml.apache.org/xalan-c/";
@@ -62,12 +62,9 @@ src_configure() {
        local thread="none"
        use threads && thread="pthread"
 
-       local bitstobuild="32"
-       $(has_m64) && bitstobuild="64"
-
        ./runConfigure -p ${target} -c "$(tc-getCC)" -x "$(tc-getCXX)" \
                -m ${mloader} -t ${transcoder} \
-               -r ${thread} -b ${bitstobuild} > configure.vars || die 
"runConfigure failed"
+               -r ${thread} > configure.vars || die "runConfigure failed"
 
        eval $(grep export configure.vars)
 

Reply via email to